apiVersion: apps/v1
kind: Deployment
metadata:
  name: aardvark-manager-ui
  labels:
    app: aardvark-manager-ui
spec:
  selector:
    matchLabels:
      app: aardvark-manager-ui
  strategy:
    type: RollingUpdate
    rollingUpdate:
      maxSurge: 1
      maxUnavailable: 0
  template:
    metadata:
      labels:
        app: aardvark-manager-ui
    spec:
      serviceAccountName: aardvark-manager-ui
      securityContext:
          # Your app shall always run as nonroot.
          runAsNonRoot: true
      affinity:
        # Avoid to run many pods on same physical node. It increases reliability.
        podAntiAffinity:
          preferredDuringSchedulingIgnoredDuringExecution:
          - weight: 1
            podAffinityTerm:
              labelSelector:
                matchLabels:
                  app: aardvark-manager-ui
              topologyKey: kubernetes.io/hostname
      containers:
      - name: aardvark-manager-ui
        image: docker-images.jobtechdev.se/aardvark-manager-ui/aardvark-manager-ui:latest
        imagePullPolicy: IfNotPresent
        ports:
        - containerPort: 8080
        readinessProbe:
          initialDelaySeconds: 5
          httpGet:
            path: /
            port: 8080
        livenessProbe:
          initialDelaySeconds: 5
          failureThreshold: 2
          httpGet:
            path: /
            port: 8080
        securityContext:
          # Your app shall always have the container file system read only. Use volumes for temp areas etc.
          readOnlyRootFilesystem: true
        resources:
          # Adjust resources to match your app's need.
          limits:
            cpu: "100m"
            memory: "64Mi"
          requests:
            cpu: "100m"
            memory: "64Mi"
        volumeMounts:
        - name: config
          mountPath: "/etc/nginx/conf.d"
          readOnly: true
        - name: tmp
          mountPath: "/var/cache/nginx"
        - name: tmp
          mountPath: "/var/run"
      volumes:
      - name: config
        configMap:
          name: nginx-conf
      - name: tmp
        emptyDir: {}
